发新帖

【插件】dde-istate-menus CPU、网络等插件集合【2020/06/25】

septemberhx / 2020-6-11 17:23
浏览: 2072 / 回复: 46
查看: 2072|回复: 46

【插件】dde-istate-menus CPU、网络等插件集合【2020/06/25】

[复制链接]
收藏
跳转到指定楼层
本帖最后由 septemberhx 于 2020-7-10 10:01 编辑

Edited by septemberhx at 2020-6-12 10:21

本帖最后由 septemberhx 于 2020-6-11 17:26 编辑

之前用过一段时间macOS,上面的 Istat Menus 我很喜欢,所以我打算在 deepin v20 上复刻一个。
提示不兼容的,请使用下面的命令执行并贴出输出
  1. ldd ~/.local/lib/dde-dock/plugins/libdde-istate-menjs.so # 换成你的路径
复制代码


注意1:虽然这个插件能在 dock 上使用,但是由于某些问题,会出现显示不全的问题,我个人怀疑是因为:https://github.com/linuxdeepin/dde-dock/issues/271这不是Bug,最起码不是改插件的 Bug。同时也没有对左右侧进行调整,所以也会显示不全或者过小。建议搭配顶栏食用:dde-top-panel

地址:https://github.com/SeptemberHX/dde-istate-menus

使用:下载 release,解压,把 *.so 文件复制到插件目录即可(我个人觉得装系统会影响其他用户,所以还是放在家目录最合适,那就不适合打包了)依赖:
  1. sudo apt install libqt5charts5
复制代码

注意:由于涉及到一些/proc 下一些文件的读取,需要给 dde-dock 或者 dde-top-panel 一些权限(自行替换最后的执行文件路径):
  1. sudo setcap cap_net_raw,cap_dac_read_search,cap_sys_ptrace+ep /usr/bin/dde-dock
复制代码


dde-top-panel 插件目录:~/.local/lib/dde-top-panel/plugins
dock 插件目录:~/.local/lib/dde-dock/plugins
没有这些目录自行创建即可。


2020-06-25【0.3.0】
  • 温度+功耗
  • UI 调整

  • 需要安装新依赖:libsensors5
  • 确保执行过 sensors-detect,且 sensors 有输出。
  • 需要重新设置权限:sudo setcap cap_sys_rawio,cap_net_raw,cap_dac_read_search,cap_sys_ptrace+ep ./frame/dde-top-panel
  • 功耗只支持部分 Intel CPU,由于Linux上没有获取功耗的统一接口,导致该部分功能直接和硬件挂钩,很容易不兼容然后导致 top-panel 闪退。如有问题,请暂时使用 0.2 版本

dock_widget.png
sensors_popup_widget.png


---------------------------------------------

2020-06-15【0.2.0】
  • RAM:竖进度条 + 弹出窗口
  • UI 调整
  • 其他修复

截图录屏_选择区域_20200615205344.png

ram_popup_widget.png



2020-06-11【0.1.0】

  • CPU:折线图 + 弹出窗口
  • 网络:文字 + 弹出窗口

截图:
截图录屏_选择区域_20200611172226.png



network.png cpu_popup_widget.png





评分

参与人数 3贡献 +9 收起 理由
gbwater + 3 原创内容!
as763190097 + 3 原创内容!
neko + 3 加分鼓励 : )

查看全部评分

100

主题

2497

帖子

7486

积分

drw-r--r--

Rank: 7Rank: 7Rank: 7

积分
7486
shenmo 超级版主 发表于 2020-6-11 18:56:11 来自移动端 | 显示全部楼层
太牛啦!!!上架更新走一波!

13

主题

262

帖子

1678

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
1678
geniusking 发表于 2020-6-11 19:08:27 | 显示全部楼层
deeepin v20遇如下问题
截图录屏_选择区域_20200610192904.png
OS:DEEPIN 20 & Ubuntu & WIN 10
CPU: AMD R5 2600X
内存:宇瞻黑豹8*2 3000
显卡:Dataland AMD RX 580 8G
主板:微星B450M MORTAR TITANIUM
https://distrowatch.com/table.php?distribution=deepin

8

主题

295

帖子

1543

积分

-rw-r--r--

Rank: 4

积分
1543
septemberhx 发表于 2020-6-11 19:27:59 | 显示全部楼层
geniusking 发表于 2020-6-11 19:08
deeepin v20遇如下问题

我这边复现不了。。最好还是和顶栏一起用吧

8

主题

295

帖子

1543

积分

-rw-r--r--

Rank: 4

积分
1543
septemberhx 发表于 2020-6-11 19:52:45 | 显示全部楼层
geniusking 发表于 2020-6-11 19:08
deeepin v20遇如下问题

ldd libdde_istate_menus.so 看一下,有没有什么 not found ?

92

主题

630

帖子

3842

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
3842
as763190097 志愿者 发表于 2020-6-11 19:59:56 | 显示全部楼层
感谢大佬,我也很喜欢mac下的 Istat Menus,终于在deepin可以有类似的功能和效果

85

主题

5213

帖子

1万

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
13371
QQ
jianguo922 志愿者 发表于 2020-6-11 20:47:50 | 显示全部楼层
感谢大佬分享
深度值得深入!深度有你更精彩
https://www.52pojie.cn/home.php?mod=space&uid=275571
电脑型号三星370r5v-s01  CPU:Intel酷睿i53210M         
内存:4GB+2GB×1    显卡芯片:AMD Radeon HD 8750M(2G)

10

主题

173

帖子

1165

积分

-rw-r--r--

Rank: 4

积分
1165
muqiu 志愿者 发表于 2020-6-12 09:19:54 | 显示全部楼层
提示插件版本不支持, v20

34

主题

234

帖子

883

积分

d-rw-rw-r--

Rank: 8Rank: 8

积分
883
deepin-mq 官方管理员 发表于 2020-6-12 09:33:33 | 显示全部楼层
感谢分享,内容已推荐

8

主题

295

帖子

1543

积分

-rw-r--r--

Rank: 4

积分
1543
septemberhx 发表于 2020-6-12 10:17:28 来自移动端 | 显示全部楼层
muqiu replied at 2020-6-12 09:19
提示插件版本不支持, v20

ldd 插件文件路径 看一下输出

92

主题

630

帖子

3842

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
3842
as763190097 志愿者 发表于 2020-6-15 11:42:27 | 显示全部楼层
septemberhx 发表于 2020-6-12 10:17
ldd 插件文件路径 看一下输出

我的也是不兼容
  1. jay@jay-PC:/usr/lib/dde-dock/plugins$ ldd /usr/lib/dde-dock/plugins/libdde_istate_menus.so
  2.         linux-vdso.so.1 (0x00007fff2491f000)
  3.         libdtkwidget.so.5 => /lib/x86_64-linux-gnu/libdtkwidget.so.5 (0x00007f6aedde9000)
  4.         libdtkcore.so.5 => /lib/x86_64-linux-gnu/libdtkcore.so.5 (0x00007f6aedcf8000)
  5.         libdtkgui.so.5 => /lib/x86_64-linux-gnu/libdtkgui.so.5 (0x00007f6aedc7c000)
  6.         libpcap.so.0.8 => /lib/x86_64-linux-gnu/libpcap.so.0.8 (0x00007f6aedc38000)
  7.         libQt5DBus.so.5 => /lib/x86_64-linux-gnu/libQt5DBus.so.5 (0x00007f6aedba1000)
  8.         libdtkwm.so.2 => /lib/x86_64-linux-gnu/libdtkwm.so.2 (0x00007f6aedb93000)
  9.         libxcb.so.1 => /lib/x86_64-linux-gnu/libxcb.so.1 (0x00007f6aedb67000)
  10.         libQt5Charts.so.5 => not found
  11.         libQt5Widgets.so.5 => /lib/x86_64-linux-gnu/libQt5Widgets.so.5 (0x00007f6aed50f000)
  12.         libQt5Gui.so.5 => /lib/x86_64-linux-gnu/libQt5Gui.so.5 (0x00007f6aecf84000)
  13.         libQt5Core.so.5 => /lib/x86_64-linux-gnu/libQt5Core.so.5 (0x00007f6aeca89000)
  14.         libstdc++.so.6 => /lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f6aec905000)
  15.         libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f6aec7b4000)
  16.         libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f6aec799000)
  17.         libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f6aec5a7000)
  18.         libgsettings-qt.so.1 => /lib/x86_64-linux-gnu/libgsettings-qt.so.1 (0x00007f6aec599000)
  19.         librsvg-2.so.2 => /lib/x86_64-linux-gnu/librsvg-2.so.2 (0x00007f6aec031000)
  20.         libgio-2.0.so.0 => /lib/x86_64-linux-gnu/libgio-2.0.so.0 (0x00007f6aebe73000)
  21.         libgdk_pixbuf-2.0.so.0 => /lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0 (0x00007f6aebe4b000)
  22.         libgobject-2.0.so.0 => /lib/x86_64-linux-gnu/libgobject-2.0.so.0 (0x00007f6aebdf6000)
  23.         libcairo.so.2 => /lib/x86_64-linux-gnu/libcairo.so.2 (0x00007f6aebcd6000)
  24.         libdframeworkdbus.so.2 => /lib/x86_64-linux-gnu/libdframeworkdbus.so.2 (0x00007f6aeb952000)
  25.         libXext.so.6 => /lib/x86_64-linux-gnu/libXext.so.6 (0x00007f6aeb93d000)
  26.         libX11.so.6 => /lib/x86_64-linux-gnu/libX11.so.6 (0x00007f6aeb7fc000)
  27.         libXi.so.6 => /lib/x86_64-linux-gnu/libXi.so.6 (0x00007f6aeb7e8000)
  28.         libxcb-util.so.0 => /lib/x86_64-linux-gnu/libxcb-util.so.0 (0x00007f6aeb7de000)
  29.         libstartup-notification-1.so.0 => /lib/x86_64-linux-gnu/libstartup-notification-1.so.0 (0x00007f6aeb7d2000)
  30.         libQt5MultimediaWidgets.so.5 => /lib/x86_64-linux-gnu/libQt5MultimediaWidgets.so.5 (0x00007f6aeb7b2000)
  31.         libpulse-mainloop-glib.so.0 => /lib/x86_64-linux-gnu/libpulse-mainloop-glib.so.0 (0x00007f6aeb7ac000)
  32.         libpulse.so.0 => /lib/x86_64-linux-gnu/libpulse.so.0 (0x00007f6aeb758000)
  33.         libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007f6aeb637000)
  34.         libQt5Multimedia.so.5 => /lib/x86_64-linux-gnu/libQt5Multimedia.so.5 (0x00007f6aeb51b000)
  35.         libQt5X11Extras.so.5 => /lib/x86_64-linux-gnu/libQt5X11Extras.so.5 (0x00007f6aeb514000)
  36.         libQt5Xml.so.5 => /lib/x86_64-linux-gnu/libQt5Xml.so.5 (0x00007f6aeb4d5000)
  37.         libQt5Network.so.5 => /lib/x86_64-linux-gnu/libQt5Network.so.5 (0x00007f6aeb334000)
  38.         libQt5Concurrent.so.5 => /lib/x86_64-linux-gnu/libQt5Concurrent.so.5 (0x00007f6aeb32b000)
  39.         libGL.so.1 => /lib/x86_64-linux-gnu/libGL.so.1 (0x00007f6aeb295000)
  40.         libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f6aeb272000)
  41.         libdbus-1.so.3 => /lib/x86_64-linux-gnu/libdbus-1.so.3 (0x00007f6aeb21f000)
  42.         libdtkcore.so.2 => /lib/x86_64-linux-gnu/libdtkcore.so.2 (0x00007f6aeb153000)
  43.         libXau.so.6 => /lib/x86_64-linux-gnu/libXau.so.6 (0x00007f6aeb14e000)
  44.         libXdmcp.so.6 => /lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007f6aeb144000)
  45.         libpng16.so.16 => /lib/x86_64-linux-gnu/libpng16.so.16 (0x00007f6aeb10b000)
  46.         libharfbuzz.so.0 => /lib/x86_64-linux-gnu/libharfbuzz.so.0 (0x00007f6aeb008000)
  47.         libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f6aeafeb000)
  48.         libicui18n.so.63 => /lib/x86_64-linux-gnu/libicui18n.so.63 (0x00007f6aead10000)
  49.         libicuuc.so.63 => /lib/x86_64-linux-gnu/libicuuc.so.63 (0x00007f6aeab41000)
  50.         libpcre2-16.so.0 => /lib/x86_64-linux-gnu/libpcre2-16.so.0 (0x00007f6aeaac4000)
  51.         libdouble-conversion.so.1 => /lib/x86_64-linux-gnu/libdouble-conversion.so.1 (0x00007f6aeaaad000)
  52.         libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f6aeaaa7000)
  53.         /lib64/ld-linux-x86-64.so.2 (0x00007f6aee1c0000)
  54.         libpangocairo-1.0.so.0 => /lib/x86_64-linux-gnu/libpangocairo-1.0.so.0 (0x00007f6aeaa97000)
  55.         libpangoft2-1.0.so.0 => /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0 (0x00007f6aeaa7e000)
  56.         libpango-1.0.so.0 => /lib/x86_64-linux-gnu/libpango-1.0.so.0 (0x00007f6aeaa31000)
  57.         libfontconfig.so.1 => /lib/x86_64-linux-gnu/libfontconfig.so.1 (0x00007f6aea9eb000)
  58.         libcroco-0.6.so.3 => /lib/x86_64-linux-gnu/libcroco-0.6.so.3 (0x00007f6aea9ad000)
  59.         libxml2.so.2 => /lib/x86_64-linux-gnu/libxml2.so.2 (0x00007f6aea802000)
  60.         libgmodule-2.0.so.0 => /lib/x86_64-linux-gnu/libgmodule-2.0.so.0 (0x00007f6aea7fc000)
  61.         libmount.so.1 => /lib/x86_64-linux-gnu/libmount.so.1 (0x00007f6aea79d000)
  62.         libselinux.so.1 => /lib/x86_64-linux-gnu/libselinux.so.1 (0x00007f6aea770000)
  63.         libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007f6aea754000)
  64.         libffi.so.6 => /lib/x86_64-linux-gnu/libffi.so.6 (0x00007f6aea74a000)
  65.         libpixman-1.so.0 => /lib/x86_64-linux-gnu/libpixman-1.so.0 (0x00007f6aea6a3000)
  66.         libfreetype.so.6 => /lib/x86_64-linux-gnu/libfreetype.so.6 (0x00007f6aea5e7000)
  67.         libxcb-shm.so.0 => /lib/x86_64-linux-gnu/libxcb-shm.so.0 (0x00007f6aea5e2000)
  68.         libxcb-render.so.0 => /lib/x86_64-linux-gnu/libxcb-render.so.0 (0x00007f6aea5d1000)
  69.         libXrender.so.1 => /lib/x86_64-linux-gnu/libXrender.so.1 (0x00007f6aea5c4000)
  70.         librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f6aea5b9000)
  71.         libX11-xcb.so.1 => /lib/x86_64-linux-gnu/libX11-xcb.so.1 (0x00007f6aea5b4000)
  72.         libQt5OpenGL.so.5 => /lib/x86_64-linux-gnu/libQt5OpenGL.so.5 (0x00007f6aea55a000)
  73.         libpulsecommon-12.2.so => /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-12.2.so (0x00007f6aea4d2000)
  74.         libcap.so.2 => /lib/x86_64-linux-gnu/libcap.so.2 (0x00007f6aea4ca000)
  75.         libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007f6aea456000)
  76.         libGLX.so.0 => /lib/x86_64-linux-gnu/libGLX.so.0 (0x00007f6aea422000)
  77.         libGLdispatch.so.0 => /lib/x86_64-linux-gnu/libGLdispatch.so.0 (0x00007f6aea365000)
  78.         libsystemd.so.0 => /lib/x86_64-linux-gnu/libsystemd.so.0 (0x00007f6aea2c2000)
  79.         libbsd.so.0 => /lib/x86_64-linux-gnu/libbsd.so.0 (0x00007f6aea2a8000)
  80.         libgraphite2.so.3 => /lib/x86_64-linux-gnu/libgraphite2.so.3 (0x00007f6aea27b000)
  81.         libicudata.so.63 => /lib/x86_64-linux-gnu/libicudata.so.63 (0x00007f6ae888b000)
  82.         libthai.so.0 => /lib/x86_64-linux-gnu/libthai.so.0 (0x00007f6ae8880000)
  83.         libfribidi.so.0 => /lib/x86_64-linux-gnu/libfribidi.so.0 (0x00007f6ae8861000)
  84.         libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007f6ae8824000)
  85.         libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007f6ae881b000)
  86.         liblzma.so.5 => /lib/x86_64-linux-gnu/liblzma.so.5 (0x00007f6ae87f3000)
  87.         libblkid.so.1 => /lib/x86_64-linux-gnu/libblkid.so.1 (0x00007f6ae879e000)
  88.         libICE.so.6 => /lib/x86_64-linux-gnu/libICE.so.6 (0x00007f6ae877d000)
  89.         libSM.so.6 => /lib/x86_64-linux-gnu/libSM.so.6 (0x00007f6ae8772000)
  90.         libXtst.so.6 => /lib/x86_64-linux-gnu/libXtst.so.6 (0x00007f6ae876a000)
  91.         libwrap.so.0 => /lib/x86_64-linux-gnu/libwrap.so.0 (0x00007f6ae875e000)
  92.         libsndfile.so.1 => /lib/x86_64-linux-gnu/libsndfile.so.1 (0x00007f6ae86e2000)
  93.         libasyncns.so.0 => /lib/x86_64-linux-gnu/libasyncns.so.0 (0x00007f6ae86da000)
  94.         liblz4.so.1 => /lib/x86_64-linux-gnu/liblz4.so.1 (0x00007f6ae86b9000)
  95.         libgcrypt.so.20 => /lib/x86_64-linux-gnu/libgcrypt.so.20 (0x00007f6ae859b000)
  96.         libdatrie.so.1 => /lib/x86_64-linux-gnu/libdatrie.so.1 (0x00007f6ae8591000)
  97.         libnsl.so.1 => /lib/x86_64-linux-gnu/libnsl.so.1 (0x00007f6ae8574000)
  98.         libFLAC.so.8 => /lib/x86_64-linux-gnu/libFLAC.so.8 (0x00007f6ae850b000)
  99.         libogg.so.0 => /lib/x86_64-linux-gnu/libogg.so.0 (0x00007f6ae84ff000)
  100.         libvorbis.so.0 => /lib/x86_64-linux-gnu/libvorbis.so.0 (0x00007f6ae84d1000)
  101.         libvorbisenc.so.2 => /lib/x86_64-linux-gnu/libvorbisenc.so.2 (0x00007f6ae8426000)
  102.         libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007f6ae8403000)
复制代码

8

主题

295

帖子

1543

积分

-rw-r--r--

Rank: 4

积分
1543
septemberhx 发表于 2020-6-15 13:44:26 | 显示全部楼层

sudo apt install libqt5charts 后,然后再重启 dock 试试

2

主题

15

帖子

120

积分

-r--------

Rank: 1

积分
120
baizeyv 发表于 2020-6-15 15:26:03 | 显示全部楼层
septemberhx 发表于 2020-6-15 13:44
sudo apt install libqt5charts 后,然后再重启 dock 试试

大佬,应该是sudo apt install libqt5charts5吧,我安装这个依赖之后就可以了

92

主题

630

帖子

3842

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
3842
as763190097 志愿者 发表于 2020-6-15 15:35:44 | 显示全部楼层
septemberhx 发表于 2020-6-15 13:44
sudo apt install libqt5charts 后,然后再重启 dock 试试

jay@jay-PC:/etc/apt$ sudo apt update && sudo apt install libqt5charts
命中:2 https://community-packages.deepin.com/deepin apricot InRelease                                                      
命中:3 https://cdn-package-store6.deepin.com/appstore eagle InRelease                                                      
命中:4 http://dl.google.com/linux/chrome/deb stable InRelease                                                              
获取:5 http://cz.archive.ubuntu.com/ubuntu groovy InRelease [268 kB]                                                      
命中:1 https://uos.deepin.cn/printer eagle InRelease                        
获取:6 http://cz.archive.ubuntu.com/ubuntu groovy/main i386 Packages [716 kB]
获取:7 http://cz.archive.ubuntu.com/ubuntu groovy/universe i386 Packages [4,664 kB]                                       
获取:8 http://cz.archive.ubuntu.com/ubuntu groovy/universe amd64 Packages [8,717 kB]                                       
获取:9 http://cz.archive.ubuntu.com/ubuntu groovy/main amd64 Packages [973 kB]                                             
已下载 15.3 MB,耗时 7分 17秒 (35.1 kB/s)                                                                                 
正在读取软件包列表... 完成
正在分析软件包的依赖关系树      
正在读取状态信息... 完成      
有 22 个软件包可以升级。请执行 ‘apt list --upgradable’ 来查看它们。
正在读取软件包列表... 完成
正在分析软件包的依赖关系树      
正在读取状态信息... 完成      
E: 无法定位软件包 libqt5charts
jay@jay-PC:/etc/apt$ sudo apt install libqt5charts
正在读取软件包列表... 完成
正在分析软件包的依赖关系树      
正在读取状态信息... 完成      
E: 无法定位软件包 libqt5charts

8

主题

295

帖子

1543

积分

-rw-r--r--

Rank: 4

积分
1543
septemberhx 发表于 2020-6-15 16:09:22 | 显示全部楼层
baizeyv 发表于 2020-6-15 15:26
大佬,应该是sudo apt install libqt5charts5吧,我安装这个依赖之后就可以了

啊,对,应该是这个,打错了

8

主题

295

帖子

1543

积分

-rw-r--r--

Rank: 4

积分
1543
septemberhx 发表于 2020-6-15 16:09:48 | 显示全部楼层
as763190097 发表于 2020-6-15 15:35
jay@jay-PC:/etc/apt$ sudo apt update && sudo apt install libqt5charts
命中:2 https://community-pac ...

sudo apt install libqt5charts5

刚刚命令有误,应该是这个。

8

主题

295

帖子

1543

积分

-rw-r--r--

Rank: 4

积分
1543
septemberhx 发表于 2020-6-15 16:12:42 | 显示全部楼层
geniusking 发表于 2020-6-11 19:08
deeepin v20遇如下问题

请安装依赖即可:
  1. sudo apt install libqt5charts5
复制代码

8

主题

295

帖子

1543

积分

-rw-r--r--

Rank: 4

积分
1543
septemberhx 发表于 2020-6-15 16:13:03 | 显示全部楼层
muqiu 发表于 2020-6-12 09:19
提示插件版本不支持, v20

请安装依赖即可:
  1. sudo apt install libqt5charts5
复制代码

92

主题

630

帖子

3842

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
3842
as763190097 志愿者 发表于 2020-6-15 18:02:33 | 显示全部楼层
septemberhx 发表于 2020-6-15 16:09
sudo apt install libqt5charts5

刚刚命令有误,应该是这个。

很棒!感谢大神出手。

我提点个人优化意见,希望不要见怪。
截图录屏_选择区域_20200615175454.png

我现在其实已经很满意了,我用的是conky-all加上论坛里开发的插件,当然你这个我也很喜欢,毕竟是istate-menu的Linux版。
截图录屏_选择区域_20200615175700.png 截图录屏_dde-dock_20200615180018.png


8

主题

295

帖子

1543

积分

-rw-r--r--

Rank: 4

积分
1543
septemberhx 发表于 2020-6-15 18:18:47 来自移动端 | 显示全部楼层
as763190097 replied at 2020-6-15 18:02
很棒!感谢大神出手。

我提点个人优化意见,希望不要见怪。

应该是要对齐的,我的是对齐的,不知道为啥你得不是,回头我再看看。
温度啥的后面都会加上,毕竟 istat menus 有很多,我才实现了一部分。不过要等一段时间了
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回列表 返回版块 返回顶部